using System;
using System.Collections.Generic;
using System.Linq;
using System.Numerics;

namespace ConsoleApp1
{
    class Program
    {
        static void Main(string[] args)
        {
            int t = int.Parse(Console.ReadLine());
            while (t-- > 0)
            {
                long n = long.Parse(Console.ReadLine());
                long suma = 0;
                if (n <= 10) suma = n;
                else if (n < 25) suma = 10;
                else if (n < 30) suma = 10 + n - 24;
                else if (n < 35) suma = 15;
                else if (n < 37) suma = 16;
                else if (n < 40) suma = 16 + n - 36;
                else if (n < 45) suma = 19;
                else if (n < 47) suma = 20;
                else if (n < 50) suma = 20 + n - 46;
                else if (n < 55) suma = 23;
                else if (n < 60) suma = 23 + n - 54;
                else if (n < 67) suma = 28;
                else if (n < 70) suma = 28 + n - 66;
                else if (n < 77) suma = 31;
                else if (n < 80) suma = 31 + n - 76;
                else if (n < 88) suma = 34;
                else if (n < 90) suma = 34 + n - 87;
                else if (n < 99) suma = 36;
                else if (n < 120) suma = 37;


                




                Console.WriteLine(suma);
            }

        }
    }
}